#
# spec file for package xmgrace (Version 5.1.4)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  fftw libjpeg libpng libtiff netcdf openmotif openmotif-devel xf86 yacc
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs fftw file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libjpeg libpng libtiff libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcdf netcfg openmotif openmotif-devel pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared yacc

Name:         xmgrace
Copyright:    Copyright (c) 1991-95 Paul J Turner, Portland, 1996-99 GRACE Development Team
Group:        Applications/Scientific
Autoreqprov:  on
Version:      5.1.4
Release:      70
Summary:      A 2D-plot-program for visualisation of scientific data
Source:       ftp://ftp.fu-berlin.de/unix/graphics/grace/src/grace-%{version}.tar.bz2
# Patch:        grace-%{version}.dif       
URL: http://plasma-gate.weizmann.ac.il/Grace/

%description
xmgrace helps to create graphics from scientific data. It knows a lot of
different graph types and supports a lot of output formats.
For examples see /usr/X11R6/lib/xmgrace/examples.

Authors:
--------
    Paul J. Turner <pturner@teleport.com>
    GRACE Development Team, maintained by
    Evgeny Stambulchik <fnevgeny@plasma-gate.weizmann.ac.il>

SuSE series: gra

%prep
%setup -n grace-%{version}
# %patch 

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr/X11R6 --enable-grace-home=/usr/X11R6/lib/xmgrace --bindir=/usr/X11R6/bin
make

%install
rm -rf %{_defaultdocdir}/xmgrace
rm -rf /usr/X11R6/lib/xmgrace
make install
mkdir -p %{_defaultdocdir}/xmgrace
mv /usr/X11R6/lib/xmgrace/doc %{_defaultdocdir}/xmgrace
ln -s %{_defaultdocdir}/xmgrace/doc /usr/X11R6/lib/xmgrace/doc
cp %{_defaultdocdir}/xmgrace/doc/xmgrace.1 /usr/X11R6/man/man1
for i in xmgrace gracebat grconvert ; do
 rm -f /usr/X11R6/bin/$i
 ln -s /usr/X11R6/lib/xmgrace/bin/$i /usr/X11R6/bin/$i
done

%files
%doc %{_defaultdocdir}/xmgrace
# %{_defaultdocdir}/xmgrace
/usr/X11R6/lib/xmgrace
/usr/X11R6/bin/gracebat
/usr/X11R6/bin/grconvert
/usr/X11R6/bin/xmgrace
/usr/X11R6/man/man1/xmgrace.1.gz

%changelog -n xmgrace
* Wed Aug 22 2001 - ro@suse.de
- removed pdflib from neededforbuild (for license problems)
* Mon Jul 23 2001 - freitag@suse.de
- update to version 5.1.4
* Tue Apr 10 2001 - freitag@suse.de
- update to version 5.1.3
* Thu Nov 23 2000 - freitag@suse.de
- new version 5.1.2
* Sat Nov 18 2000 - kukuk@suse.de
- Link against OpenMotif
* Wed Sep 06 2000 - freitag@suse.de
- updated to version 5.1.1
* Wed May 10 2000 - freitag@suse.de
- updated to version 5.1.0 with pdf-support, netcdf etc.
- documentation patch updated
* Tue Feb 08 2000 - freitag@suse.de
- updated specfile with %%{version}, group etc.
* Tue Oct 26 1999 - freitag@suse.de
- new version 5.0.5
